Issue 50972 - "Up one level" button behavoir is inconsistent with other buttons
Summary: "Up one level" button behavoir is inconsistent with other buttons
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 680m109
Hardware: All All
: P4 Minor (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-20 03:30 UTC by ed2
Modified: 2014-02-24 19:53 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ed2 2005-06-20 03:30:33 UTC
When the toolbars were redesigned for OOo2, all the buttons on the toolbars that
were "short click for default action, long click for choice of actions" were
replaced by buttons with a separate arrow button for the options.

When this was done, the "Up one level" button on the standard Open/Save dialog
boxes was not similarly ajusted, so is now inconsistent with the rest of the
interface.

This button should be redesigned to give it the same behavoir as all the other
similar buttons. Hope this makes sense.
Comment 1 stefan.baltzer 2005-06-20 10:07:09 UTC
SBA: Component set to "Framework".
Reassigned to TM.
Comment 2 thorsten.martens 2005-06-30 13:03:18 UTC
TM->requirements: Please have a look, thanks !
Comment 3 ace_dent 2008-05-16 00:22:55 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 ed2 2008-05-16 17:56:09 UTC
Checked in the latest OOo 3 dev release, and this issue is still present as
originally described.
Comment 5 Edwin Sharp 2014-02-24 14:09:40 UTC
Please explain what you mean.
Comment 6 ed2 2014-02-24 19:35:39 UTC
The "Up One Level" button in the built in file picker moves up one level if clicked briefly, and produces a menu clicked and held.

This is the only button remaining in AOO which behaves in this non standard way, all the others have been replaced with the usual split buttons with a drop-down arrow on the right.
Comment 7 Edwin Sharp 2014-02-24 19:53:57 UTC
Thank you ed2.
If not to be given the same behavior, at least indicate long click characteristic.
AOO410m1(Build:9750)  -  Rev. 1566800
2014-02-11_04:11:01 - Rev. 1566981
Debian